#3525 closed enhancement (fixed)

Add MMC/SDCard support for i.MX 7Dual BSP

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Port device drivers from FreeBSD for i.MX 7Dual uSDHC module.

Change History (10)

comment:1 Changed on Sep 25, 2018 at 8:02:26 AM by Sebastian Huber <sebastian.huber@…>

In b42dea9/rtems-libbsd:

CONFIG_INTRHOOK(9): Port to RTEMS

Some device drivers (e.g. MMC) need a complex intialization with working
callouts. Remove the dummy CONFIG_INTRHOOK() implementation and replace
it with the real one from FreeBSD. Make sure TIMEOUT(9) services work
at this point.

Update #3525.

comment:2 Changed on Sep 25, 2018 at 8:02:34 AM by Sebastian Huber <sebastian.huber@…>

In 13840c1/rtems-libbsd:

Update gpio interface

Update #3525.

comment:3 Changed on Sep 25, 2018 at 8:02:42 AM by Sebastian Huber <sebastian.huber@…>

In 7e8e177/rtems-libbsd:

imx/imx_gpio.c: Import from FreeBSD

Update #3525.

comment:4 Changed on Sep 25, 2018 at 8:02:50 AM by Sebastian Huber <sebastian.huber@…>

In 06dd40e/rtems-libbsd:

imx/imx_gpio.c: Port to RTEMS

Update #3525.

comment:5 Changed on Sep 25, 2018 at 8:02:57 AM by Sebastian Huber <sebastian.huber@…>

In 6721f56/rtems-libbsd:

fsl_sdhci.c: Import from FreeBSD

Update #3525.

comment:6 Changed on Sep 25, 2018 at 8:03:05 AM by Sebastian Huber <sebastian.huber@…>

In b382502/rtems-libbsd:

fsl_sdhci.c: Port to RTEMS

Update #3525.

comment:7 Changed on Sep 25, 2018 at 8:14:09 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In bd25da8/rtems-docs:

user: Add i.MX 7D MMC/SDCard driver

Close #3525.

comment:8 Changed on Sep 27, 2018 at 5:23:40 AM by Sebastian Huber <sebastian.huber@…>

In 69a24c3/rtems:

bsp/imx: Add imx_ccm_sdhci_hz()

Update #3525.

comment:9 Changed on Sep 27, 2018 at 5:28:51 AM by Sebastian Huber <sebastian.huber@…>

In 8645b550/rtems-libbsd:

fsl_sdhci.c: Fix missing include error

Update #3525.

comment:10 Changed on Sep 28, 2018 at 4:08:38 PM by Sebastian Huber <sebastian.huber@…>

In b54bd95/rtems-libbsd:

fsl_sdhci.c: Fix missing include error

Update #3525.

Note: See TracTickets for help on using tickets.